### Method

# Handy Carousel scroll_to_full

since: 1.0

#### Declaration [src]

    void
    hdy_carousel_scroll_to_full (
      HdyCarousel* self,
      GtkWidget* widget,
      gint64 duration
    )

#### Description [src]

Scrolls to `widget` position with an animation.

Available since: 1.0

#### Parameters

`widget`

  Type: `GtkWidget`

  A child of `self`.

  The data is owned by the caller of the method.

`duration`

  Type: `gint64`

  Animation duration, in milliseconds.